OpenTTD Source: SlLinkgraphEdge Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Static Public Attributes
SlLinkgraphEdge Class Reference
Inheritance diagram for SlLinkgraphEdge:

## Public Member Functions
void | Save (Node *bn) const override
void | Load (Node *bn) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlLinkgraphEdge, Node >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
virtual void | LoadCheck (Node *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers (Node *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _linkgraph_edge_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 31 of file linkgraph_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlLinkgraphEdge::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Edge, capacity, SLE_UINT32),
SLE_VAR(Edge, usage, SLE_UINT32),
SLE_VAR(Edge, last_unrestricted_update, SLE_INT32),
SLE_CONDVAR(Edge, last_restricted_update, SLE_INT32, SLV_187, SL_MAX_VERSION),
SLE_VAR(Edge, next_edge, SLE_UINT16),
}

Definition at line 33 of file linkgraph_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/linkgraph_sl.cpp

SLV_187
@ SLV_187
187 25899 Linkgraph - restricted flows
Definition: saveload.h:271
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition: saveload.h:701
LinkGraph::Edge
An updatable edge class.
Definition: linkgraph.h:292
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition: saveload.h:341
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:771